对于Renderman
- (defun rendermanrequest ( text insertionpoint layer color height )
- (entmakex
- (list
- (cons 0 "text")
- (cons 1 text);text content
- (cons 7 "Romans");style
- (cons 8 layer)
- (cons 62 color)
- (cons 10 insertionpoint)
- (cons 72 1)
- (cons 73 2)
- (cons 40 height)
- (cons 11 insertionpoint)
- )
- )
- )
- (
- (lambda ( co )
- (while (>= 256 (setq co (1+ co)))
- (rendermanrequest (strcat "Color" (itoa co)) (getvar 'viewctr) "0" co 4.)
- )
- )
- 0
- )
这可能不会让你感到困惑。。?
-
- (defun text ( text insertionpoint layer height )
- (entmakex
- (list
- (cons 0 "text")
- (cons 1 text);text content
- (cons 7 "Romans");style
- (cons 8 layer)
- (cons 10 insertionpoint)
- (cons 72 1)
- (cons 73 2)
- (cons 40 height)
- (cons 11 insertionpoint)
- )
- )
- )
- (foreach x
- (list
- (list "text #1" (list 0. 4. 0.) "0" 3.)
- (list "text #2" (list 0. 0. 0.) "Defpoints" 3.)
- )
- (apply (function text) x)
- )
|